import hashlib


def get_file_md5(file_path):
    # 打开文件并读取其中的数据
    with open(file_path, 'rb') as f:
        data = f.read()
    # 计算MD5值并输出结果
    md5_value = hashlib.md5(data).hexdigest()
    return md5_value


if __name__ == '__main__':
    print(get_file_md5(
        r"D:\MyDocuments\PythonCode\MyPython\red_dragonfly\deal_excel\haocaitong_data_completion\2024年春夏季线下商品资料表初步模版11.2.xlsx"))
